.tyui-tabs__tab {
    background: none;
    border: none;
    cursor: pointer;
    min-height: 2.75rem;
    min-width: 2.75rem;
    padding: .5rem 1rem;
    font-weight: 700;
    font-size: 1rem;
    line-height: 1.25rem;
    transition-property: background, color, border;
    transition-duration: var(--transition-time);
    outline: none;
    border-top-left-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
    background: var(--background-default);
    color: var(--text-action-primary);
    box-shadow: inset 0 0 0 var(--border-width) var(--border-color-primary);
}

.tyui-tabs__tab:hover {
    background: var(--background-default--hover);
}

.tyui-tabs__tab:active {
    background: var(--background-default--active);
}

.tyui-tabs__tab:not(:first-child) {
    margin-left: .25rem;
}

.tyui-tabs__tab[aria-selected="true"] {
    background: var(--background-action-primary);
    color: var(--text-inverted-default);
    box-shadow: none;
    cursor: default;
}

.tyui-tabs__tabpanel {
    box-shadow: inset 0 0 0 var(--border-width) var(--border-color-primary);
    padding: 1rem;
    position: relative;
    top: calc(-1 * var(--border-width));
    border-bottom-left-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
}

.tyui-tabs__tab--icon:not(.tyui-tabs__tab--icon-right)::before {
    --icon-size: 1.5rem;
    content: "";
    mask-image: var(--icon-url);
    mask-size: 100% 100%;
    background-color: currentColor;
    display: inline-block;
    flex: 0 0 auto;
    height: var(--icon-size);
    width: var(--icon-size);
    vertical-align: calc((.75em - var(--icon-size))* .5);
}

.tyui-tabs__tab--icon.tyui-tabs__tab--icon-left:not(.tyui-tabs__tab--icon-right)::before {
    margin-right: calc((2.75rem - var(--icon-size)) / 2);
}

.tyui-tabs__tab--icon-right::after {
    --icon-size: 1.5rem;
    content: "";
    mask-image: var(--icon-url);
    mask-size: 100% 100%;
    background-color: currentColor;
    display: inline-block;
    flex: 0 0 auto;
    height: var(--icon-size);
    width: var(--icon-size);
    vertical-align: calc((.75em - var(--icon-size))* .5);
    margin-left: calc((2.75rem - var(--icon-size)) / 2);
}

.tyui-tabs__tab--icon:not(.tyui-tabs__tab--icon-right):not(.tyui-tabs__tab--icon-left) .tyui-tabs__tab-name {
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.tyui-tabs__all-width .tyui-tabs__tablist {
    display: flex;
}

.tyui-tabs__all-width .tyui-tabs__tablist .tyui-tabs__tab {
    flex: 1;
}